Data.CircularList

# Data Types

data CList a

# Functions

## Creation of CLists

empty

fromList

singleton

## Update of CList

update

reverseDirection

## Converting CLists to Lists

leftElements

rightElements

toList

toInfList

## Extraction and Accumulation

focus

insertL

insertR

removeL

removeR

## Manipulation of Focus

allRotations

rotR

rotL

rotN

rotNR

rotNL

rotateTo

findRotateTo

## List-like functions

filterR

filterL

foldrR

foldrL

foldlR

foldlL

## Manipulation of Packing

balance

packL

packR

## Information

isEmpty

size